#include<bits/stdc++.h>
using namespace std;
int main(){
	int n,k;
	cin>>n>>k;
	int a[n];
	for(int i=0;i<n;i++)cin>>a[i];
	map<int,int> pogodjeno;
	for(int i=0;i<n;i++)pogodjeno[a[i]]++;
	int br=0;
	map<int,int>::iterator it=pogodjeno.begin();
	while(it!=pogodjeno.end()){
		if(it->second>=k)br++;
		it++;
	}
	cout<<br<<endl;
	it=pogodjeno.begin();
	while(it!=pogodjeno.end()){
		if(it->second>=k)cout<<it->first<<" ";
		it++;
	}
}